### Method

# GObject Binding dup_target

since: 2.68

#### Declaration

    GObject*
    g_binding_dup_target (
      GBinding* binding
    )

#### Description

Retrieves the `GObject` instance used as the target of the binding.

A `GBinding` can outlive the target `GObject` as the binding does not hold a strong reference to the target. If the target is destroyed before the binding then this function will return `NULL`.

Available since: 2.68

#### Return value

Type: `GObject`

The target `GObject`, or `NULL` if the target does not exist any more.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.